<?php

declare(strict_types=1);

namespace Drupal\Tests\ris\Traits;

/**
 * Common things to be used by the test classes.
 */
trait CommonThingsTrait {

  /**
   * Existing remote image.
   *
   * Image URL that can be fetched with file_get_contents() and getimagesize().
   *
   * @todo Change to https://www.drupal.org/core/misc/druplicon.png after D.O.
   *   migrates to modern version of drupal.
   */
  protected string $remoteImageUrl = 'https://www.drupal.org/misc/druplicon.png';

  /**
   * File extension of the $remoteImageUrl.
   */
  protected string $remoteImageExtension = 'png';

}
