<?php

declare(strict_types=1);

namespace Drupal\Tests\ris\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\ris\RisImageFactory;

/**
 * Tests the RisImageFactory service.
 *
 * @group ris
 */
class RisImageFactoryTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'ris',
    'file',
  ];

  /**
   * Tests the factory service decoration.
   */
  public function testDecorates(): void {
    $factory = \Drupal::service('image.factory');
    $this->assertInstanceOf(RisImageFactory::class, $factory);
  }

}
